/****************************************************************************
                Local DB (sqlite3) Clear Thread Class 
                -----------------------------------------

    begin      : 2015/08/31
    copyright  : (C) 2005 Solbox Inc.
    author     : Dev Storage Team
	email      : huibong@solbox.com
	version    : 3.5

    CopyRight(C) 2005 Solbox Inc. All Rights reserved.
    Redistribution and use in source and binary forms, with or with out
    modification, are not permitted in outside of Solbox Inc.
*****************************************************************************/

#ifndef __LOCAL_DB_CLEAR_THREAD_H__
#define __LOCAL_DB_CLEAR_THREAD_H__


#include <pthread.h>
#include <unistd.h>


/// @brief CLocalDbClearThread
/// 본 클래스는 Thread 클래스로서...
/// sqlite3 Local DB 에 저장된 통계 Data 중 보관 기간이 지난 Data 에 대해 삭제 처리를 수행한다. 
class CLocalDbClearThread
{
	public:
	
		// 생성 및 소멸자.
		CLocalDbClearThread();
		~CLocalDbClearThread();

		// Thread 기동 함수.
		bool Start( void );
			
	private:
		
		// Thread function....
		static void * threadFunc( void * arg );

		// 실제 Local DB 삭제 관련 작업을 담당하는 함수...
		void Execute( void );

	private:
		
		// 쓰레드 핸들
        pthread_t m_threadHandle;


};

#endif /* __LOCAL_DB_CLEAR_THREAD_H__ */
